<?php
	 
	include("connexion_db.php");

	// Verification de la persistance des données
	if ($_SERVER['REQUEST_METHOD'] === 'POST' &&
		isset($_POST['idDocteur']) && isset($_POST['idGrille']) && isset($_POST['idEtablissement']) &&
		isset($_POST['nbLvlGrille']) && isset($_POST['lvlCliniMin']) && isset($_POST['lvlCliniMax']) &&
		isset($_POST['lvlGrilleMin']) && isset($_POST['lvlGrilleMax']) &&
		isset($_POST['nomPatient']) &&
		isset($_POST['prenomPatient']) &&
		isset($_POST['sexePatient']) &&
		isset($_POST['naissancePatient']) &&
		isset($_POST['dossierPatient']) &&
		isset($_POST['chambrePatient']) &&
		isset($_POST['adressePatient']) &&
		isset($_POST['villePatient'])) {
		
		$idDocteur = $_POST['idDocteur'];
		$idEtablissement = $_POST['idEtablissement'];
		$idGrille = $_POST['idGrille'];
		$nbLvlGrille = $_POST['nbLvlGrille'];
		$lvlCliniMin = $_POST['lvlCliniMin'];
		$lvlCliniMax = $_POST['lvlCliniMax'];
		$lvlGrilleMin = $_POST['lvlGrilleMin'];
		$lvlGrilleMax = $_POST['lvlGrilleMax'];
		$nomPatient = $_POST['nomPatient'];
		$prenomPatient = $_POST['prenomPatient'];
		$sexePatient = $_POST['sexePatient'];
		$naissancePatient = $_POST['naissancePatient'];
		$dossierPatient = $_POST['dossierPatient'];
		$chambrePatient = $_POST['chambrePatient'];
		$adressePatient = $_POST['adressePatient'];
		$villePatient = $_POST['villePatient'];

		// On vérifie que ce patient n'existe pas déjà (nom, prenom, age)
		$sql = "SELECT * FROM patient WHERE UPPER(nom) = UPPER('" . $nomPatient . "') AND UPPER(prenom) = UPPER('" . $prenomPatient . "') AND date_naissance = '" . $naissancePatient . "'";
		$req = cleanPDOQuery($sql);
		$nb = $req->rowCount();
		
		if($nb == 0) {	
			// On ajoute un patient
			$sql = "INSERT INTO patient(`id`, `id_docteur`, `sexe`, `nom`, `prenom`, `date_naissance`, `adresse`, `ville`, `chambre`, `num_dossier`) VALUES ('', '" . $idDocteur . "', '" . $sexePatient . "', '" . $nomPatient . "', '" . $prenomPatient . "', '" . $naissancePatient . "', '" . $adressePatient . "', '" . $villePatient . "', '" . $chambrePatient . "', '" . $dossierPatient . "')";
			$req = cleanPDOQuery($sql);
			
			// On récupère l'id associé
			$sql = "SELECT id FROM patient ORDER BY id DESC";
			$req = cleanPDOQuery($sql);
			$res = $req->fetch();
			
			$idPatient = $res['id'];

			$sql1 = "INSERT INTO donnees_grilles(`id`, `id_grille`, `id_champ`, `valeur`, `id_patient`, `id_docteur`, `id_etablissement`, `date`) VALUES ";
			for($i = 0; $i < $nbLvlGrille; $i++) {
				if($i != 0) { $sql1 .= ", ";} 
				
			$sql1 .= "('', '" . $idGrille . "', '" . ($i+1) . "', '" . 0 . "', '" . $idPatient . "', '" . $idDocteur . "', '" . $idEtablissement . "', DATE(NOW()))";
				
				if($i == $nbLvlGrille - 1) { $sql1 .= ";";} 

			}
			$resultat['sql'] = $sql1;
			
			$req = cleanPDOQuery($sql1);
			
			$resultat['valeurclinimetre'] = $lvlCliniMin;
			$resultat['valeurgrille'] = $lvlGrilleMin;
			
			
			// On met à jour le dernier patient du docteur
			$sql = "UPDATE docteur SET id_patient = '" . $idPatient . "' WHERE id = '" . $idDocteur . "'";
			$req = cleanPDOQuery($sql);
			
			$resultat['id'] = $idPatient;
			$resultat['etat'] = 'ok';
			
		}
		else {
			$resultat['etat'] = 'nok';
		}
		
		header('Content-Type: application/json');
	 	echo json_encode($resultat);

	}
	
	
		
?>